View Issue Details

IDProjectCategoryView StatusLast Update
0003381SymmetricDSBugpublic2018-03-12 08:28
ReporterjflambertAssigned Tokstojanovska 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.2 
Target Version3.9.4Fixed in Version3.9.4 
Summary0003381: symadmin does not always return 1 on failure
DescriptionProviding an invalid subcommand or an invalid target node to symadmin returns 0 instead of 1

Ideally all failures would return non-zero so my automation scripts can pick them up.
Steps To Reproduce# invalid subcommand returns 0
./symadmin --engine staging reload-noode
....
ERROR: no subcommand 'reload-noode' was found.
For a list of subcommands, use symadmin --help
root@ntx-jeff78:/opt/symmetric-server-3.9.2/bin# echo $?
0

# invalid target node returns 0
./symadmin --engine staging reload-node productionn
....
Unknown node productionn
root@ntx-jeff78:/opt/symmetric-server-3.9.2/bin# echo $?
0

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 0d71c71f

2018-01-26 15:33:23

klementinastojanovska

Details Diff
0003381: symadmin does not always return 1 on failure
0003381
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/SymmetricAdmin.java Diff File

SymmetricDS: 3.9 0144c549

2018-01-26 15:50:25

klementinastojanovska

Details Diff
0003381: symadmin does not always return 1 on failure
0003381
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/SymmetricAdmin.java Diff File

Issue History

Date Modified Username Field Change
2018-01-19 09:56 jflambert New Issue
2018-01-26 09:48 kstojanovska Assigned To => kstojanovska
2018-01-26 09:48 kstojanovska Status new => assigned
2018-01-26 09:48 kstojanovska Target Version => 3.9.4
2018-01-26 15:34 kstojanovska Status assigned => resolved
2018-01-26 15:34 kstojanovska Resolution open => fixed
2018-01-26 15:34 kstojanovska Fixed in Version => 3.9.4
2018-02-14 15:08 Changeset attached => SymmetricDS 3.9 0144c549
2018-02-14 15:08 Changeset attached => SymmetricDS 3.9 0d71c71f
2018-03-12 08:28 chenson Status resolved => closed